using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ZionVault.Util.Trim
{
    public class TrimFull : ITrim
    {
        public string Type => @"Full";

        public char[] TrimChars { get; set; }

        public string Apply(string value)
        {
            if (TrimChars.Length > 0)
                return value.Trim(TrimChars);

            return value.Trim();
        }

        public string Apply(string value, char trimChar) 
        {
            return value.Trim(trimChar);
        }

        public string Apply(string value, char[] trimChars)
        {
            return value.Trim(trimChars);
        }
    }
}
